<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core"
      xmlns:p="http://primefaces.org/ui">

    <ui:composition template="/template_1.xhtml">
        <ui:define name="title">
        </ui:define>
        <ui:define name="bodys">
            <h:form id="formNoticias">

                <h:panelGroup rendered="#{noticiasController.items.rowCount > 0}">
                    <p:dataTable id="tablaNoticias" sortMode="multiple" paginatorPosition="bottom" value="#{noticiasController.items}" var="item" 
                                 widgetVar="tablaNoticias" emptyMessage="No hay Noticias disponibles" paginator="true" rows="10"
                                 rowKey="#{item.usrId}" >
                        <p:column style="width:5%" >
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListNoticiasTitle_noticiasPK_noticiaId}"/>
                            </f:facet>
                            <h:outputText value="#{item.noticiasPK.noticiaId}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListNoticiasTitle_noticiaTitulo}"/>
                            </f:facet>
                            <h:outputText value="#{item.noticiaTitulo}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListNoticiasTitle_noticiaFecha}"/>
                            </f:facet>
                            <h:outputText value="#{item.noticiaFecha}">
                                <f:convertDateTime pattern="MM/dd/yyyy" />
                            </h:outputText>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListNoticiasTitle_noticiaImagen}"/>
                            </f:facet>
                            <p:graphicImage rendered="#{photoCamBean.tieneFoto}" value="/Recursos/ImagenesNoticias/#{item.noticiaImagen}" height="100"/>  
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListNoticiasTitle_noticiaDescripcion}"/>
                            </f:facet>
                            <h:outputText value="#{item.noticiaDescripcion}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListNoticiasTitle_noticiaFuente}"/>
                            </f:facet>
                            <h:outputText value="#{item.noticiaFuente}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="#{bundle.ListNoticiasTitle_usuarios}"/>
                            </f:facet>
                            <h:outputText value="#{item.usuarios.usrNombre} #{item.usuarios.usrApellido}"/>
                        </p:column>
                        <p:column>
                            <f:facet name="header">
                                <h:outputText value="&nbsp;"/>
                            </f:facet>
                            <p:commandButton action="#{noticiasController.prepareEdit}" oncomplete="PF('dlgNoticia').show();" 
                                             value="#{bundle.ListNoticiasEditLink}" process="@this" update=":tabViewAdmin:noticiasPanel:dialogNoticia"/>
                            <h:outputText value=" "/><br/><br/>
                            <p:commandButton action="#{noticiasController.destroy}" value="#{bundle.ListNoticiasDestroyLink}" 
                                             process="@this" update=":tabViewAdmin:noticiasPanel:formNoticias:tablaNoticias">
                                <p:confirm header="Confirmacion" message="Esta seguro de eliminar?" icon="ui-icon ui-icon-comment" />
                            </p:commandButton>
                            <p:confirmDialog global="true" showEffect="fade" hideEffect="fade">
                                <p:commandButton value="Si" type="button" styleClass="ui-confirmdialog-yes" icon="ui-icon ui-icon-check" />
                                <p:commandButton value="No" type="button" styleClass="ui-confirmdialog-no" icon="ui-icon ui-icon-close" />
                            </p:confirmDialog>  
                        </p:column>
                    </p:dataTable>
                </h:panelGroup>
            </h:form>
            <p:dialog id="dialogNoticia" position="center" header="Inventario #{noticiasController.selected.noticiaTitulo}" modal="true"
                      widgetVar="dlgNoticia"   appendTo="@(body)" closable="true"  >
                <p:outputPanel  style="text-align:center;">
                    <ui:include src="/web/noticias/Edit.xhtml" rendered="#{!sessionBean.activa}" />

                </p:outputPanel>
            </p:dialog>
        </ui:define>
    </ui:composition>

</html>
